API ReferenceTickets
List tickets
GET
Newest first. Filter by contact to check for an open ticket before creating
another. The key sees the tickets its creator can see in the dashboard.
Requires scope tickets:read.
header
AuthorizationBearer <token>Your organization API key: Authorization: Bearer org_…
audienceExternalId?stringThe contact's ID on its channel. For WhatsApp it is
<phone number>:<your WhatsApp phone number ID>.
status?stringValue in
"open""in_progress""resolved""closed"page?integerRange
1 <= valueDefault
1limit?integerRange
1 <= value <= 100Default
20A page of tickets.
application/json- response
tickets*array<>total*integerpage*integertotalPages*integercurl -X GET 'https://api.enigma-ai.com/v1/tickets'{ "tickets": [ { "_id": "string", "ticketId": "string", "title": "string", "description": "string", "status": "open", "priority": "low", "assigneeId": "string", "audienceId": "string", "organizationId": "string", "resolutionDate": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "total": 0, "page": 0, "totalPages": 0}